Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.confidence
Class MaxEntConfidenceEstimator

    java.lang.Object
      cc.mallet.fst.confidence.TransducerConfidenceEstimator
          cc.mallet.fst.confidence.MaxEntConfidenceEstimator

All Implemented Interfaces:
  java.io.Serializable

    public class MaxEntConfidenceEstimator

extends TransducerConfidenceEstimator

Estimates the confidence of a `Segment` extracted by a `Transducer` using a `MaxEnt` classifier to classify segments as "correct" or "incorrect." xxx needs some interface work

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.fst.confidence.TransducerConfidenceEstimator
`model`

Constructor Summary
`MaxEntConfidenceEstimator(Transducer model)`
`MaxEntConfidenceEstimator(Transducer model, double gaussianVariance)`

Method Summary
`double` | `estimateConfidenceFor(Segment segment, SumLatticeDefault cachedLattice)` Calculates the confidence in the tagging of a `Segment`.
`MaxEnt` | `trainClassifier(InstanceList ilist, java.lang.String correct, java.lang.String incorrect)`

Methods inherited from class cc.mallet.fst.confidence.TransducerConfidenceEstimator
`estimateConfidenceFor, getSegmentConfidences, getTransducer, rankSegmentsByConfidence, rankSegmentsByConfidence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxEntConfidenceEstimator

    public MaxEntConfidenceEstimator(Transducer model,
                                     double gaussianVariance)

### MaxEntConfidenceEstimator

    public MaxEntConfidenceEstimator(Transducer model)

Method Detail

### trainClassifier

    public MaxEnt trainClassifier(InstanceList ilist,
                                  java.lang.String correct,
                                  java.lang.String incorrect)

### estimateConfidenceFor

    public double estimateConfidenceFor(Segment segment,
                                        SumLatticeDefault cachedLattice)

  Calculates the confidence in the tagging of a `Segment`.

  Specified by:
    `estimateConfidenceFor` in class `TransducerConfidenceEstimator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD